/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.format;

public class Dela2ExcelConfig {
		final private String delaFilename;
		final private String excelFilename;
		final private String encoding;
		final private String tag;
		final private String tagset;
		final private String lang;
		
		/**
		 * @param delaFilename
		 * @param excelFilename
		 * @param encoding
		 */
		public Dela2ExcelConfig(String delaFilename, String excelFilename, String encoding
				,String tag,String tagset,String lang) {
			this.delaFilename = delaFilename;
			this.excelFilename = excelFilename;
			this.encoding = encoding;
			this.tag = tag;
			this.tagset = tagset;
			this.lang = lang;
		}
		/**
		 * @return the delaFilename
		 */
		public String getDelaFilename() {
			return delaFilename;
		}
		/**
		 * @return the excelFilename
		 */
		public String getExcelFilename() {
			return excelFilename;
		}
		/**
		 * @return the encoding
		 */
		public String getEncoding() {
			return encoding;
		}
		/**
		 * @return the tag
		 */
		public String getTag() {
			return tag;
		}
		/**
		 * @return the tagset
		 */
		public String getTagset() {
			return tagset;
		}
		/**
		 * @return the lang
		 */
		public String getLang() {
			return lang;
		}
		
		
		
	
}
