package fr.upemlv.lgtools.parsing;

import java.io.File;
import java.util.LinkedList;
import java.util.List;

import edu.berkeley.nlp.ling.Tree;
import fr.upemlv.lgtools.tagging.LGTaggerConstants;





public class Test {

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		Treebank trainTreebank = new Treebank("/home/ladl/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_2t.mrg");
		Treebank devTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		Treebank testTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		String configPath =  LGTaggerConstants.LGTAGGER_PATH+"/French/config/configParsing.txt";
		
		
		
		
		/*
		//Treebank trainTreebank = new Treebank("/tmp/ftb-test.txt");
		Treebank devTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		Treebank testTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		//Treebank testTreebank = new Treebank("/tmp/v.mrg");
		
		//Treebank testTreebank = new Treebank("/tmp/ftb-test.txt");
		
		
		
		
		ParsingConfig config = new ParsingConfig("configParsing.txt");
		//MweMatParser parser = new MweMatParser(config,false,false);
		SimpleMweMatParser sparser = new SimpleMweMatParser(config);
		//sparser.learn(trainTreebank, devTreebank, testTreebank);
		//parser.learn(trainTreebank, devTreebank, testTreebank);
		//System.out.println("end.");
		Tagset tagset = config.getLgtaggerConfig().getTagset();
		SimpleMweRecognizer smwer = new SimpleMweRecognizer(config);
		MweRecognizer mwer = new FilteredGoldMweRecognizer(tagset, smwer);
		//MweRecognizer mwer = new CrfMweRecognizer(config, smwer);
		RawText t = testTreebank.toRawText(tagset);
		TextItems items = mwer.apply(testTreebank);
		//Treebank res = sparser.parse(t, items);
		Treebank res = sparser.parse(t);
		res.save("/tmp/res.txt");
		*/		
		
		/*
		for(ParseTree t:trainTreebank){
			List<Tree<String>> chunks = new LinkedList<Tree<String>>();
			for(Tree<String> term:t.getTerminals()){
				Tree<String> c = t.getParent(t.getParent(term));
				if(chunks.isEmpty()){
					System.err.print("(");
				}
				else{
					if(chunks.get(chunks.size() - 1) !=){
						
					}
				}
				
			  
			  System.err.println(t.getTerminals());
			}
			System.err.println(")");
		}
		*/
		
		
		/*Tagset tagset = config.getLgtaggerConfig().getTagset();
		BaselineParser baseline = new BaselineParser(config);
		baseline.learn(trainTreebank, devTreebank, testTreebank);
		RawText t = testTreebank.toRawText(tagset);
		Treebank res = baseline.parse(t);
		res.save("/tmp/resb.txt");*/
		//System.err.println("GGGG");
		//parser.learn(trainTreebank, devTreebank, testTreebank);
		
		/*BKYParserWrapper pw = new BKYParserWrapper("/tmp");
		pw.grammarTrain("gr", "/home/ladl/mconstan/data/refs/corpus/ftb", 2);
		*/
		
		//BKYParser p = new BKYParser("/tmp/test/mwes.gr");
		//System.err.println(p.parse("système de coopération"));
		
		
		/*TrainParsingPreprocess p = new TrainParsingPreprocess(config);
		p.perform(trainTreebank, "1");
		p.perform(devTreebank, "2");
		p.perform(testTreebank, "3");
		BKYParser parser = new BKYParser(config.getOutputDir());
		parser.grammarTrain("mmmm",config.getOutputDir() , 5);
		*/
		
		/*
		LexicalizedParser parser = new LexicalizedParser("/home/mconstan/tools/stanford-parser-2011-09-14/grammar/frenchFactored.ser.gz");
		
		TreebankLanguagePack tlp = new PennTreebankLanguagePack();
	    GrammaticalStructureFactory gsf = tlp.grammaticalStructureFactory();
	    // You could also create a tokenier here (as below) and pass it
	    // to DocumentPreprocessor
	    for (List<HasWord> sentence : new DocumentPreprocessor("/tmp/test.txt")) {
	      Tree parse = parser.apply(sentence);
	      parse.pennPrint();
	      System.out.println();
	    }  
		*/
	}

}
