/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.app;


/**
 * score for jadt2012 experiments
 * 
 * @author Matthieu Constant
 *
 */

public class JadtScore {
    private int cnt = 0;
    private int totalCnt = 0;
    private final String name;
    
	/**
	 * @param name
	 */
	public JadtScore(String name) {
		this.name = name;
	}
	
    void inc(int countInc,int totalCountInc){
    	cnt += countInc;
    	totalCnt += totalCountInc;
    }
	
    public static double percent(int a,int b){
		return ((double)a)/b*100;
	}
    
    void print(){    	
    	System.err.println(name+": "+cnt+"/"+totalCnt+"/"+percent(cnt, totalCnt));
    }
}
